<div class="content">
  <!-- <p>Product Details</p> -->
  <!-- <span>{{routeIdParam}}</span> -->

  <div fxLayout="row wrap" fxLayoutGap="0" *ngIf="product">
    <div class="product-image-section" fxFlex="50%" fxFlex.xs="100%">
      <div fxLayout="row" fxLayoutAlign="center center" class="image-wrapper">
        <img fxFlex="80%" fxFlex.xs="100%" fxFlex.sm="100%" fxFlex.lg="60%"
          [src]="product.image || 'https://picsum.photos/200'" [alt]="product.name">
      </div>
      <br>
      <div fxLayout="column" fxLayoutAlign="center center" class="product-name">
        <p>{{product.name}}</p>
        <p>{{calculateNetPrice(product.price, product.discountPrice) | currency:'KES ':'symbol':'3.0-1'}}</p>
      </div>
      <!-- <p>{{product | json}}</p> -->
    </div>

    <div class="product-details" fxFlex="50%" fxFlex.xs="100%">
      <div fxLayout="column" fxLayoutAlign.xs="center center">
        <p class="product-details-name">{{product.name}}</p>
        <mat-chip-list aria-label="Product categories" [selectable]="false">
          <mat-chip color="accent" selected>{{product.category.name | lowercase}}</mat-chip>
        </mat-chip-list>
      </div>
      <br>

      <p class="product-details-description">{{product.description}}</p>

      <div fxLayout="row" fxLayoutAlign.xs="center center">
        <button mat-flat-button color="primary" (click)="addToCart(product.id)">
          Add To Cart
        </button>
      </div>
    </div>
  </div>
</div>